require 'sketchup.rb'
require 'extensions.rb'

Sketchup.require(File.join(File.dirname(__FILE__), 'DM_Skimp/DMLanguageHandler'))

module DM
  module Skimp

    VERSION = "1.2.0"
    PLUGIN = self
    PLUGIN_NAME = "Skimp".freeze
    LH = DMLanguageHandler.new("skimp.strings")

    if Sketchup.version.to_i >= 17
      ext = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__), "DM_Skimp", "load")))
      ext.description = LH["导入和简化各种文件格式。"]
      ext.version = VERSION
      ext.creator = "mind.sight.studios"
      ext.copyright = "2023, MindSight Studios Inc. All rights reserved."
      Sketchup.register_extension(ext, true)
    else
      # Don't localize the string below.  It will not be used often and the inner variables are very useful
      UI.messagebox("Skimp需要Sketchup 2017或更高版本。 #{VERSION}." \
        "请使用扩展管理器卸载或手动删除旧版插件文件。")
      ext = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__), "DM_Skimp", "reducer")))
      ext.description = LH["与您的SketchUp版本不兼容"]
      Sketchup.register_extension(ext, true)
    end
  end
end
